<? ob_start();
session_start();
//codigo del alumno
$codigo_alumno =  $_SESSION['cod_usuario'];
//include("cabecera/cab_mnu.htm");  

include("../script/conexion.php");  

$link = conectarse();
//include("../script/conexion.php");  

//$link = conectarse();
?> 
<? 

//recoleccion de los datos del archivo selconacta.php
//son datos via url GET

$periodo = $_POST['lstperiodo'];

$cod_lectivo =substr($periodo,0,1);

$cod_quimestre = substr($periodo,1,3);

$cod_aporte = substr($periodo,4,1);

//obtencion de lectivo

$ssql = "select desc_lectivo from lectivo where cod_lectivo = $cod_lectivo";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$lectivo = $row[0];

//obtencion de quimestre

$ssql = "select desc_quimestre from quimestre where cod_quimestre = $cod_quimestre";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$quimestre = $row[0];

//obtencion de aporte

$ssql = "select desc_aporte from aporte where cod_aporte = $cod_aporte";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$aporte = $row[0];

//obtencion del codigo del curso

$ssql = "select curso from cabecera_estudiante where id_estudiante = $codigo_alumno and lectivo = $cod_lectivo and curso>100 and curso < 1400";

$rs = mysql_query($ssql,$link);

$row= mysql_fetch_array($rs);

$cod_curso = $row[0];


//obtencion del curso

$ssql = "select desc_curso from curso where cod_curso = $cod_curso";

$rs = mysql_query($ssql,$link);

$row = mysql_fetch_array($rs);

$curso = $row[0];



//obtencion de la lista de estudiante 
//selecciona los datos del alumno

$ssql = "SELECT apellido_paterno,apellido_materno,nombre_primero,cabecera_estudiante.id_estudiante
FROM cabecera_estudiante,historico_estudiante 
WHERE cabecera_estudiante.id_estudiante = historico_estudiante.id_estudiante and cabecera_estudiante.id_estudiante = $codigo_alumno
and estado = 1 and curso = $cod_curso and lectivo = $cod_lectivo order by apellido_paterno,apellido_materno,nombre_primero";

echo $ssql;

$resultado = mysql_query($ssql,$link);


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta charset="windows-1252">

<title>Unidad Educativa República de Francia</title>
<style type="text/css">

.texto {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-style: normal;
	line-height: normal;
	text-transform: uppercase;
}

.texto1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
	font-style: normal;
	line-height: normal;
}

</style>
</head>

<body bottommargin="0" topmargin="0" leftmargin="0" rightmargin="0">
<? ob_end_clean(); 
include("fpdf/fpdf.php");

class PDF extends FPDF

{

//Cabecera de página

function Header()

{

    //Logo

    $this->Image('logo.jpeg',10,8,33);

    //Arial bold 15

    $this->SetFont('Arial','B',8);

    //Movernos a la derecha

    $this->Cell(40);

    //Título

    $this->Cell(100,10,'COLEGIO REPUBLICA DE FRANCIA',0,0,'C');

	$this->Ln(5);

	$this->Cell(40);

	 $this->Cell(100,10,'REPORTE DE CALIFICACIONES',0,0,'C');

	 $this->Ln(5);

    //Salto de línea

	}

	

	function BasicTable($header)

{

    //tamaño de las columnas

	$w=array(60,8,8,15,12,15,15);

	//Cabecera

	$this->SetFont('Arial','',7);

    

	    $this->Cell($w[0],3,$header[0],1,0);

		$this->Cell($w[1],3,$header[1],1,0,'C');

		$this->Cell($w[2],3,$header[2],1,0,'C');

		$this->Cell($w[3],3,$header[3],1,0,'C');

		$this->Cell($w[4],3,$header[4],1,0,'C');

		$this->Cell($w[5],3,$header[5],1,0,'C');
		
		$this->Cell($w[5],3,$header[6],1,0,'C');
		
		$this->Cell($w[5],3,$header[7],1,0,'C');
		
		//$this->Cell($w[5],3,$header[8],1,0,'C');

               

    $this->Ln();

}

function BasicTable1($header)

{

    //tamaño de las columnas

	$w=array(60,8,8,8,8,15,15);

	//Cabecera

	$this->SetFont('Arial','',7);

    

	    $this->Cell($w[0],3,$header[0],1,0);

		$this->Cell($w[1],3,$header[1],1,0,'C');

		$this->Cell($w[2],3,$header[2],1,0,'C');

		$this->Cell($w[3],3,$header[3],1,0,'C');

		$this->Cell($w[4],3,$header[4],1,0,'C');

		$this->Cell($w[5],3,$header[5],1,0,'C');
		
		$this->Cell($w[5],3,$header[6],1,0,'C');
		
		$this->Cell($w[5],3,$header[7],1,0,'C');
		
               

    $this->Ln();

}

		}

//fin de la clase para cabecera de pagina		

$pdf = new PDF('P','mm','legal');



//**************************************************************************

//while que contiene todos los estudiantes
while($row1 = mysql_fetch_array($resultado)){
$nombre = $row1[0]." ".$row1[1]." ".$row1[2];
$alumno = $row1[3];

$c = 0;
$suma = 0;
//selecciona la asignatura y las calificaciones


//datos de la cabecera

$pdf->AddPage();

$pdf->SetFont('Arial','B',8);

$pdf->Cell(30);

$pdf->Cell(120,10,$lectivo,0,0,'C');

$pdf->ln(5);

$pdf->Cell(120,10,utf8_decode($curso),0,0,'C');

$pdf->Cell(7);

$pdf->Cell(10,10,$quimestre,0,0,'C');

$pdf->Cell(7);

$pdf->Cell(10,10,$aporte,0,0,'C');

$pdf->ln(10);

$pdf->Cell(40,10,'NOMBRES Y APELLIDOS:  ',0,0,'C');

$pdf->Cell(40,10,strtoupper($nombre),0,0,'C');

$pdf->ln(10);

if($cod_curso < 100)
{
    $header=array('Área de Aprendizaje','T.A.I.','A.I.C','Mejora','Prom Final','Cualitativa');
    $pdf->BasicTable1($header);
}
else
{
    $header=array('Área de Aprendizaje','T.A.I.','A.I.C','Prom A.D.','Proyecto','Mejora','Prom Final','Cualitativa');
    $pdf->BasicTable($header);
}





$ssql = "select desc_asignatura,tai,aic,agc,leccion,detacta_mensual.aporte,promedio,promc,cod_asignatura,mejoramiento,promfinal,promfinalc from cabacta_mensual,detacta_mensual,asignatura where cod_acta = cod_cabecera and asignatura = cod_asignatura and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre and cabacta_mensual.aporte = $cod_aporte order by desc_asignatura ";


//Ejecuto la sentencia 
$rs5 = mysql_query($ssql,$link);
//echo $ssql;
		 $cont = 0;

		 		  while($row = mysql_fetch_array($rs5))

		  {
		  
		  $cont = $cont + 1;

		  $asignatura = $row[0];
		  $cod_asignatura = $row[8];
		  
// recoleccion de los datos de aporte
//comprobacion si existen datos o no
			// recoleccion de los datos de aporte
//comprobacion si existen datos o no
/*
$tai _________________trabajos academicos independientes
$aic_________________actividades individuales en clase
$agc________________actividades grupales en clase
$lec________________lecciones
$examen-----------------evaluacion parcial

*/
			if($row[1] > 0)
			{
 		  		$tai = $row[1];
				}
			else
			{
				$tai = "";
				}
			if($row[2] > 0)
			{	
				 $aic = $row[2];
				 }
				 
			else
			{
				$aic= "";
				}
				
			if($row[3]== 1)
			{		
		  		$agc = "";
				}
			else
			{
				$agc = 0;
				}	
			if($row[4] ==1)
			{
		  		$lec = "";
				}
			else
			{
				$lec = 0;
				}
			
		  if($row[5] > 0)
			{
		  		$examen = $row[5];
				}
			else
			{
				$examen = "";
				}

  			if($row[6] > 0)
			{
		  		$promedio = $row[6];
				}
			else
			{
				$promedio = "";
				}

 			 if($row[7]!="")
			{
		  		$promc = $row[7];
				}
			else
			{
				$promc = "";
				}
			  
			  
		  if($row[9] > 0)
			{
		  		$mejoramiento = $row[9];
				$bandera = 1;
				}
			else
			{
				$mejoramiento = "";
				$bandera = 0;
				}
			  
			    if($row[10] > 0)
			{
		  		$promfinal = $row[10];
				}
			else
			{
				$promfinal = "";
				}
			   if($row[11]!="")
			{
		  		$promfinalc = $row[11];
				}
			else
			{
				$promfinalc = "";
				}
			  
		  
		  //promedio final de la materia 
//if($cod_asignatura <> 56684 && $cod_asignatura <> 86998 && $cod_asignatura <> 27479 && $cod_asignatura <> 14167)
//{
//calculo del Promedio Actividades Disciplinares
$promAD = round((($tai +$aic)/2),2);
	if($bandera==1)
	{
	    //if($cod_aporte==4)
	    //{
	//temporal para arreglar mejoramiento de examen quimestral de Tiago Johnson
	//$promfinal = round((($tai+$mejoramiento)/2),2);
	    //}
		/*
		codigo temporal hasta mejorar el algoritmo de mejoramiento
		*/
		// Se cambio este codigo ahora se suma el promAD+proyecto+mejora/3
		/*
		$nota_limite_recuperacion =round(((10 - $promedio)*($promedio/10)),2);
		$nota_porcentaje =$mejoramiento/30;
		$prom_recuperacion=round(($nota_limite_recuperacion * $nota_porcentaje),2);
		$promfinal=$promedio + $prom_recuperacion;
		*/
		
		
		
		//*******************************************
		$prom_final = $promfinal;
		  $c = $c + 1;
		  $suma = $suma + $prom_final;
if($cod_curso <100)
{
$header=array(strtoupper(utf8_decode($asignatura)),$tai,$aic,$mejoramiento,$promfinal,$promfinalc);
$pdf->BasicTable1($header);
}
else
{
    $header=array(strtoupper(utf8_decode($asignatura)),$tai,$aic,$promAD,$examen,$mejoramiento,$promfinal,$promfinalc);
    $pdf->BasicTable($header);
}

		  //$pdf->BasicTable($header);



	}
	else
	{
		
		$prom_final = $promedio;
		  $c = $c + 1;
		  $suma = $suma + $prom_final;
if($cod_curso<100)
{
    $header=array(strtoupper(utf8_decode($asignatura)),$tai,$aic,$mejoramiento,$promedio,$promc);
    $pdf->BasicTable1($header);
}
else
{
    $header=array(strtoupper(utf8_decode($asignatura)),$tai,$aic,$promAD,$examen,$mejoramiento,$promedio,$promc);
    $pdf->BasicTable($header);
    
}

		  //$pdf->BasicTable($header);
		
	}
		
		//	} //cierre del if

	  }
	  //cierre del while de asignatura y calificaciones
	  $pdf->Image('cualitativa.gif',160,40,0,0,'');

	  $pdf->Image('firma.gif',20,140,0,0,'');
	  
	  //calculo del promedio general
	  if($suma >0)
	  {
	  $prom_general = round(($suma/$c),2);
	  }
	  else
	  {
	  $prom_general = 0;
	  }
	  
	  //obtenemos los datos de la tabla conducta
$ssql = "select nota,atrasos,faltaj,faltai ";
$ssql = $ssql."from cabacta_conducta,detacta_conducta ";
$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre and aporte = $cod_aporte ";

$rsconducta = mysql_query($ssql,$link);
while($row = mysql_fetch_array($rsconducta))
		  {
//comprobacion si existen datos o no
			if($row[0] != "")
			{
 		  		$nconducta= $row[0];
							}
			else
			{
				$nconducta= "&nbsp;";
				}
			if($row[1] > 0)
			{	
				 $atrasos = $row[1];
				 }
			else
			{
				$atrasos = "&nbsp;";
				}
				
			if($row[2] > 0)
			{		
		  		$faltaj = $row[2];
								}
			else
			{
				$faltaj= "&nbsp;";
				}	
			if($row[3] > 0)
			{
		  		$faltai = $row[3];
								}
			else
			{
				$faltai = "&nbsp;";
				}
				
				}
				//final del while de conducta
	 
	 //obtenemos los datos de la tabla observacion
$ssql = "select observacion ";
$ssql = $ssql."from cabacta_obsmensual,detacta_obsmensual ";
$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and trimestre = $cod_trimestre and aporte = $cod_aporte ";
$rsobservacion = mysql_query($ssql,$link);
if(@mysql_num_rows($rsobservacion)==0)
{
$observacion = "&nbsp;";
}
else
{
  while($row = mysql_fetch_array($rsobservacion))
		  {
		  $observacion = $row[0];
		  }
		  		}
//presentacion de informacion

$pdf->ln(5);

$pdf->Cell(40,10,'Conducta General',0,0,'C');

$pdf->Cell(10,10,$nconducta,1,0,'C');

$pdf->Cell(40,10,'Promedio General',0,0,'C');

$pdf->Cell(10,10,$prom_general,1,0,'C');	 	  
}
//cierre del while principal

$pdf->Output();
ob_end_flush();
?>
</body>
</html>


